<VirtualHost *:80>
        ServerAdmin  support@example.com
        ServerName   www.example.com
        ServerAlias  example.com 
        Redirect permanent / https://www.example.com/

        DocumentRoot /var/www/www.example.com
        <Directory /var/www/www.example.com>
                Options Indexes FollowSymLinks MultiViews
                AllowOverride all
                Order allow,deny
                allow from all
        </Directory>

        ErrorLog ${APACHE_LOG_DIR}/www.example.com-error.log

        # Possible values include: debug, info, notice, warn, error, crit,
        # alert, emerg.
        LogLevel warn

        CustomLog ${APACHE_LOG_DIR}/www.example.com-access.log combined
</VirtualHost>

